@echo off
echo Backup MAC Address
MACBACK
gigafl~1.exe ..\..\..\fw\244.bin -a -2300 -no-reboot
socflash cs=0 if=mac.bin offset=0x2F0000 count=0x10000
echo Restore MAC Address
del mac.bin

echo Wait 90 seconds for BMC Ready...

TYPE NUL | CHOICE /C:YN /N /T:Y,30 > NUL
TYPE NUL | CHOICE /C:YN /N /T:Y,30 > NUL
TYPE NUL | CHOICE /C:YN /N /T:Y,30 > NUL

echo Done, please update FRU Data by platform.